#include<iostream>
using namespace std;
int main()
{
    int a;
    cin>>a;
    long long b[a],mx2=0,mx1=0,m=0,p,lgg=5000000;
    for(int i=0; i<a; i++)
    {
        cin>>b[i];
    }
    for(int r=0; r<a-1; r++)
    {
        for(int lg=2; lg<=a-r; lg++)
        {
            for(int i=r; i<r+lg; i++)
            {
               if(mx1<b[i]){
                mx1=b[i];
                p=i;
               }
            }
            mx1=0;
            for(int i=r; i<r+lg;i++){
               if(m<b[i] && i!=p){
                  m=b[i];
               }
            }
                if(m-lg>mx2-lgg)
                {
                    mx2=m;
                    lgg=lg;
                }
            m=0;
        }
    }
    cout<<mx2-lgg;
    return 0;
}
